## fontforge 20190801~dfsg

=== pycontrib/svg2glyph/Makefile ===
all:
	./svg2glyph -e 1024 -a 819 -o SFDir SVG/*.svg

## fontforge 0.0.20090923

=== debian/changelog ===
fontforge (0.0.20090923-2) unstable; urgency=low

  * Switched to 3.0 (quilt) source format. As a consequence, no longer
    build-depend on quilt and removed the file README.source.
  * debian/control:
    - add ${misc:Depends} to dependencies to properly cope with 
      debhelper-triggerred dependencies;
    - bumped Standards-Version to 3.8.4. No changes required.
  * debian/patches: added the patch 026_fix-null-pntr-dereference.diff for
    allowing the dereference of the 'cs' pointer in the scstyles.c file if
    it is non-NUL. Thanks to Rogério Brito <rbrito@ime.usp.br> for the
    patch (Closes: #569548).

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 27 Feb 2010 10:18:58 +0200

fontforge (0.0.20090923-1) unstable; urgency=low

  * New upstream release.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 26 Sep 2009 21:41:19 +0300

fontforge (0.0.20090914-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - bumped Standards-Version to 3.8.3. No changes required;
    - changed short and long descriptions (Closes: #537564).

  [ Davide Viti ]
  * debian/watch: workaround broken Sourceforge redirector.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Wed, 16 Sep 2009 08:50:52 +0300

fontforge (0.0.20090622-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: removed the patch 025_bcunlink.diff -- fixed upstream.
  * debian/rules: removed the call of deprecated dh_desktop.
  * debian/control: bumped Standards-Version to 3.8.2. No changes required.
  
 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Tue, 23 Jun 2009 22:29:54 +0300

fontforge (0.0.20090408-2) unstable; urgency=low

  * debian/patches:
    - added the patch 024_def_background.diff for set the default background
      color. Thanks to Theppitak Karoonboonyanan <thep@linux.thai.net> for
      the patch (Closes: #525510);
    - added the patch 025_bcunlink.diff for fixing segfaults building
      ttf-cjk-compact. Thanks to Daniel Schepler <dschepler@gmail.com> for
      the bug report (Closes: #527807).

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Tue, 12 May 2009 00:25:19 +0300

fontforge (0.0.20090408-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - Call chrpath to strip the rpath on /usr/bin.
  * debian/control:
    - added chrpath to Build-Depends;
    - changed section to the new fonts section;
    - added Depends on libgdraw4 for the fontforge binary package;
    - bumped Standards-Version to 3.8.1. No changes required.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 11 Apr 2009 23:42:31 +0300

fontforge (0.0.20090224-2) experimental; urgency=low

  * debian/control: added the dependency on libgdraw4 for libfontforge-dev
    binary package.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 01 Mar 2009 18:53:02 +0200

fontforge (0.0.20090224-1) experimental; urgency=low

  [ Kęstutis Biliūnas ]
  * New upstream release (Closes: #496048, #500543, #504440, #393487).
    Actually the latter bug was fixed much earlier, but was forgotten
    to close.
  * First release from the pristine upstream tarball. Previously, the binary
    packages was generated from the ourselves made tarball, which was
    assembled from the several upstream tarballs. Now this is splited out
    into a separate source packages.
  * Added MIME support: updated the .desktop file with MimeType entries and
    added .sharedmimeinfo file (Closes: #507427, #507428).
  * Removed the file debian/fontforge.desktop. Now we are using the file
    Packaging/fontforge.desktop from the upstream.
  * debian/control:
    - bumped Standards-Version to 3.8.0. No changes required;
    - added the new libfontforge1, libgdraw4, libfontforge-dev and
      fontforge-nox binary packages.
    - added Build-Depends on libpango1.0-dev and libcairo2-dev.
    - added the python-fontforge package to Suggests for fontforge binary
      package.
    - added DM-Upload-Allowed: yes.
  * debian/rules:
    - added the option --enable-devicetables and --with-type3 in the fontforge
      configure stage.
    - added a case check to check if the package is going to be built on Ubuntu
      or Debian. Thanks to Arne Götje <arne@ubuntu.com> for suggestion.
    - added a comparison of the installed libtool version and the libtoolize
      option "--install", when libtool version is > 1.9b.
  * debian/patches: 
    - the patches refreshed with quilt option '-p1'. This should make the
      package work with the new source package format "3.0 (quilt)".
      (closes: #485247). Thanks to Raphael Hertzog <hertzog@debian.org> for
      the bug report.
    - disabled patch 999_disable_xinput.diff as this makes fontforge unusable
      when XMODIFIERS is defined, which is needed for many East Asian
      languages. Thanks to Arne Götje <arne@ubuntu.com> for suggestion.
    - added the patch 023_fix_desktop_file for adjusting the desktop file for
      Debian.
    - the patch 020_fix_pyext_path.diff adjusted for the new library path
      (Closes: #504705).
    - fixed the patch 900_debian_HelpDir_path.diff.
  * Removed the file debian/README and added the debian/README.source file 
    explaining how to edit or create the patches.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Thu, 26 Feb 2009 18:42:00 +0200

fontforge (0.0.20080429-1) unstable; urgency=low

  * New upstream release (Closes: #483001).
  * debian/patches: remove patch 022_validate.diff now included upstream
  * patches/900_debian_HelpDir_path.diff adapted to new sources
  
 -- Davide Viti <zinosat@tiscali.it>  Thu, 29 May 2008 09:54:53 +0200

fontforge (0.0.20080330-2) unstable; urgency=low

  [ Kęstutis Biliūnas ]  
  * debian/patches: added the patch 022_validate.diff for fixing validation
    for CID keyed fonts (Closes: #477947).

 -- Davide Viti <zinosat@tiscali.it>  Thu, 01 May 2008 15:13:51 +0200

fontforge (0.0.20080330-1) unstable; urgency=low

  [Davide Viti]
  * New upstream release (Closes: #472772).
  * Updated version of showttf.c



=== debian/control ===
Source: fontforge
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Davide Viti <zinosat@tiscali.it>, Kęstutis Biliūnas <kebil@kaunas.init.lt>
Dm-Upload-Allowed: yes
XS-Python-Version: all
Build-Depends: debhelper (>= 7),
               autotools-dev,
               libjpeg62-dev,
               libtiff4-dev,
               libpng12-dev,
               libgif-dev,
               libxt-dev,
               libfreetype6-dev,
               autoconf,
               automake,
               libtool,
               bzip2,
               libxml2-dev,
               libuninameslist-dev,
               libspiro-dev,
               python-all-dev,
               python-support (>= 0.5.3),
               libpango1.0-dev,
               libcairo2-dev,
               chrpath
Standards-Version: 3.8.4
Homepage: http://fontforge.sourceforge.net/
Vcs-svn: svn://svn.debian.org/pkg-fonts/packages/fontforge/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/fontforge/

Package: fontforge
Architecture: any
Depends: ${misc:Depends}, libfontforge1 (= ${binary:Version}), libgdraw4 (= ${binary:Version}), ${shlibs:Depends}
Conflicts: fontforge-nox
Suggests: fontforge-doc, potrace, autotrace, python-fontforge, fontforge-extras 
Description: font editor
 Besides being a font editor, FontForge is also a font format
 converter, and can convert among PostScript (ASCII & binary Type 1,
 some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
 CID-keyed, SVG, CFF and multiple-master fonts.
 .
 This package also provides these programs and utilities:
  fontimage - produce a font thumbnail image;
  fontlint  - checks the font for certain common errors;
  sfddiff   - compare two font files.

Package: fontforge-nox
Architecture: any
Depends: ${misc:Depends}, libfontforge1 (= ${binary:Version}), ${shlibs:Depends}
Conflicts: fontforge
Description: font editor - non-X version
 Besides being a font editor, FontForge is also a font format
 converter, and can convert among PostScript (ASCII & binary Type 1,
 some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
 CID-keyed, SVG, CFF and multiple-master fonts.
 .
 This package also provides these programs and utilities:
  fontimage - produce a font thumbnail image;
  fontlint  - checks the font for certain common errors;
  sfddiff   - compare two font files.
 .
 This package contains a version of FontForge compiled with support for
 scripting but no GUI, and not require the graphics library.

Package: libfontforge-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libfontforge1 (= ${binary:Version}), libgdraw4 (= ${binary:Version})
Description: font editor - runtime library (development files)
 Besides being a font editor, FontForge is also a font format
 converter, and can convert among PostScript (ASCII & binary Type 1,
 some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
 CID-keyed, SVG, CFF and multiple-master fonts.
 .
 This package contains the runtime library's development files.

Package: libfontforge1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: fontforge (<= 0.0.20090224)
Replaces: fontforge (<= 0.0.20090224)
Description: font editor - runtime library
 Besides being a font editor, FontForge is also a font format
 converter, and can convert among PostScript (ASCII & binary Type 1,
 some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
 CID-keyed, SVG, CFF and multiple-master fonts.
 .
 This package contains the runtime library. 

Package: libgdraw4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: fontforge (<= 0.0.20090224)
Replaces: fontforge (<= 0.0.20090224)
Description: font editor - runtime graphics and widget library
 Besides being a font editor, FontForge is also a font format
 converter, and can convert among PostScript (ASCII & binary Type 1,
 some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
 CID-keyed, SVG, CFF and multiple-master fonts.
 .
 This package contains the graphics and widget runtime library. 

Package: python-fontforge
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, libfontforge1
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Section: python
Description: font editor - Python bindings
 Besides being a font editor, FontForge is also a font format
 converter, and can convert among PostScript (ASCII & binary Type 1,
 some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
 CID-keyed, SVG, CFF and multiple-master fonts.
 .
 This package provides the Python modules (the libraries fontforge and
 psMat) to access a FontForge program for font manipulations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

LIBTOOLVERSION = $(shell dpkg-query -W -f='$${Version}\n' "libtool")

DIST=$(shell lsb_release -i -s)

CONFIG_OPTS = --prefix=/usr \
              --libdir=\$${prefix}/lib \
              --mandir=\$${prefix}/share/man \
              --with-regular-link \
              --enable-devicetables \
              --enable-pyextension \
              --with-type3

ifeq "$(DIST)" "Ubuntu"
CONFIG_OPTS += --with-freetype-bytecode
else
CONFIG_OPTS += --with-freetype-bytecode=no
endif  


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif


configure: configure-stamp
configure-stamp:
	dh_testdir

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	cp configure configure.old
	cp install-sh install-sh.old
	cp configure.in configure.in.old 
	# Now configure fontforge
	if dpkg --compare-versions $(LIBTOOLVERSION) gt 1.9b; then \
		set -e; cp configure.dynamic.in configure.in; libtoolize --force --copy --install; aclocal; autoconf; \
	else \
		set -e; cp configure.dynamic.in configure.in; libtoolize --force --copy; aclocal; autoconf; \
	fi

	./configure $(CROSS) ${CONFIG_OPTS} CFLAGS="$(CFLAGS)"

	touch $@

configure-nox: configure-stamp-nox
configure-stamp-nox:
	dh_testdir

	$(MAKE) distclean

	./configure $(CROSS) ${CONFIG_OPTS} --without-x CFLAGS="$(CFLAGS)"

	touch $@

build: build-stamp
build-stamp:  configure-stamp 
	
	$(MAKE)
	$(MAKE) -C fontforge FontForge.pot
	touch $@

build-nox: build-stamp-nox
build-stamp-nox: configure-stamp-nox 
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-stamp-nox configure-stamp configure-stamp-nox

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	[ ! -f configure.old ] || mv -f configure.old configure
	[ ! -f install-sh.old ] || mv -f install-sh.old install-sh
	[ ! -f configure.in.old ] || mv -f configure.in.old configure.in

	rm -f debian/fontforge.sharedmimeinfo debian/fontforge.desktop
	rm -rf Unicode/.libs Unicode/Makefile.in
	rm -rf gdraw/.libs gdraw/Makefile.in
	rm -rf fontforge/Makefile.in gutils/Makefile.in fontforge/FontForge.pot
	rm -f Makefile.in aclocal.m4 ltmain.sh config.log

	dh_clean  --exclude ./fontforge/FontForge-MenuShortCuts.pot.orig --exclude ./fontforge/nowakowskittfinstr.c.orig --exclude ./fontforge/scstyles.c.orig

install: build
	dh_testdir
	dh_testroot
	dh_prep -s --exclude ./fontforge/FontForge-MenuShortCuts.pot.orig --exclude ./fontforge/nowakowskittfinstr.c.orig --exclude ./fontforge/scstyles.c.orig
	dh_installdirs -s

	$(MAKE) install prefix=$(CURDIR)/debian/fontforge/usr libdir=$(CURDIR)/debian/libfontforge1/usr/lib
	chrpath -d $(CURDIR)/debian/fontforge/usr/bin/fontforge

	cp -p $(CURDIR)/debian/fontforge/usr/include/fontforge/* $(CURDIR)/debian/libfontforge-dev/usr/include/fontforge
	-rm -rf $(CURDIR)/debian/fontforge/usr/include
	mv $(CURDIR)/debian/libfontforge1/usr/lib/*.la $(CURDIR)/debian/libfontforge-dev/usr/lib
	mv $(CURDIR)/debian/libfontforge1/usr/lib/lib*.so $(CURDIR)/debian/libfontforge-dev/usr/lib
	mv -t $(CURDIR)/debian/libfontforge-dev/usr/lib $(CURDIR)/debian/libfontforge1/usr/lib/pkgconfig

	mkdir -p $(CURDIR)/debian/libgdraw4/usr/lib
	mv $(CURDIR)/debian/libfontforge1/usr/lib/libgdraw.* $(CURDIR)/debian/libgdraw4/usr/lib

	mv $(CURDIR)/debian/fontforge/usr/share/fontforge/python $(CURDIR)/debian/python-fontforge/usr/share/fontforge

	cp -p Packaging/fontforge.desktop debian/fontforge/usr/share/applications/
	cp -p debian/ffanvil32.xpm debian/fontforge/usr/share/icons/
	cp Packaging/fontforge.xml debian/fontforge.sharedmimeinfo

	dh_install -s
	set -e; cd pyhook; python setup.py install --prefix=$(CURDIR)/debian/python-fontforge/usr

install-nox: build-nox
	dh_testdir
	dh_testroot

	dh_installdirs -s

	$(MAKE) install prefix=$(CURDIR)/debian/fontforge-nox/usr exec_prefix=$(CURDIR)/debian/fontforge-nox/usr
	-rm -rf $(CURDIR)/debian/fontforge-nox/usr/include
	-rm -rf $(CURDIR)/debian/fontforge-nox/usr/lib
	-rm -rf $(CURDIR)/debian/fontforge-nox/usr/share/fontforge
	chrpath -d $(CURDIR)/debian/fontforge-nox/usr/bin/fontforge

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installmenu
	dh_installmime
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_pysupport -ppython-fontforge
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture dependant packages using the common target.
binary-arch: build install build-nox install-nox 
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary-indep:

binary: binary-arch
.PHONY: build clean binary-arch binary install configure \
	build-nox configure-nox install-nox

=== debian/watch ===
version=3

opts=filenamemangle=s/.*\/([^\/]*)\/download/$1/,uversionmangle=s/^/0.0./ \
 http://sourceforge.net/projects/fontforge/files/ \
 /projects/fontforge/files/fontforge-source/fontforge_full-(.*)\.tar\.bz2/download debian

## fontforge 0.0.20100501

=== debian/changelog ===
fontforge (0.0.20100501-5ubuntu2) natty; urgency=low

  * debian/rules: empty dependency_libs from shipped .la files, per
    Policy 10.2.

 -- Kees Cook <kees@ubuntu.com>  Thu, 24 Mar 2011 15:33:10 -0700

fontforge (0.0.20100501-5ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #704860)
    - debian/patches/901_ld_as_needed.diff:
      + Fix build failure with ld --as-needed. (Closes: #605839)
    - debian/patches/901_python27_compat.diff:
      + Fix build failure with python2.7.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 19 Jan 2011 13:16:51 +0100

fontforge (0.0.20100501-5) unstable; urgency=medium

  * Team upload.
  * debian/rules 
    - disable "--enable-double" that introduced in 0.0.20100501-3
     to avoid building ttf-dejavu failure (Closes: #609094)

 -- Hideki Yamane <henrich@debian.org>  Tue, 18 Jan 2011 23:29:31 +0900

fontforge (0.0.20100501-4ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #704463)
    - debian/patches/901_ld_as_needed.diff:
      + Fix build failure with ld --as-needed. (Closes: #605839)
    - debian/patches/901_python27_compat.diff:
      + Fix build failure with python2.7.
  * This uploaded fixes CVE: (LP: #704467)
    - CVE-2010-4259

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 18 Jan 2011 16:42:04 +0100

fontforge (0.0.20100501-4) unstable; urgency=high

  * Urgency high due to a security fix.
  * debian/patches:
    + grab patch from https://bugzilla.redhat.com/attachment.cgi?id=464658
    Fixes: CVE-2010-4259, Closes: #605537.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 07 Dec 2010 04:12:04 -0200

fontforge (0.0.20100501-3ubuntu2) natty; urgency=low

  * Fix build failure with python2.7.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Dec 2010 11:44:05 +0100

fontforge (0.0.20100501-3ubuntu1) natty; urgency=low

  * Fix build failure with ld --as-needed.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 23:09:48 +0100

fontforge (0.0.20100501-3) unstable; urgency=low

  * debian/patches:
    - fixed the patch 030_fix_stack_corruption.diff. Buffer size reduced
      to the size recommended by upstream.
    - added the patch 031_fix_spline_creation.diff resolve problem of
      compiling lilypond on s390 architecure.. (Closes: #594629).
  * debian/rules: added the option --enable-double in the fontforge configure
    stage for decrease endless problems in the intersection code case.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 28 Nov 2010 17:11:27 +0200

fontforge (0.0.20100501-2) unstable; urgency=low

  * Team upload
  * Fix stack corruption in fontforge/svg.c
    Closes: #550120

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 Sep 2010 16:06:26 +0200

fontforge (0.0.20100501-1) unstable; urgency=high

  * New upstream release (Closes: #590844, #591135, #591136).

  [ Rogério Brito ]
  * debian/patches:
    - removed the patch 026_fix-null-pntr-dereference.diff.
      Fixed upstream;
    - added the patch 110_fix_incorrect_locale_code.diff correct locale
      code.

  [ Kęstutis Biliūnas ]
  * debian/patches:
    - fixed the patch 005_x_www_browser.diff to give priority
      to the user settings over system-wide settings. Thanks to Andreas
      Neudecker <zapyon@gmx.net> for the bug report (Closes: #587844);
    - added the patch 027_catch_ctrl-c_signal.diff for catching the ctrl-c
      signal and asking the user whether he really wants to exit
      (Closes: #578122).
  * debian/control:
    - aded Rogério Brito <rbrito@ime.usp.br> to Uploaders;
    - bumped Standards-Version to 3.9.1. No changes required.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 07 Aug 2010 11:33:59 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,12 @@
 Source: fontforge
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Uploaders: Christian Perrier <bubulle@debian.org>, Davide Viti <zinosat@tiscali.it>, Kęstutis Biliūnas <kebil@kaunas.init.lt>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Uploaders: Christian Perrier <bubulle@debian.org>,
+	   Davide Viti <zinosat@tiscali.it>,
+	   Kęstutis Biliūnas <kebil@kaunas.init.lt>,
+	   Rogério Brito <rbrito@ime.usp.br>
 Dm-Upload-Allowed: yes
 XS-Python-Version: all
 Build-Depends: debhelper (>= 7),
@@ -21,18 +25,21 @@
                libuninameslist-dev,
                libspiro-dev,
                python-all-dev,
-               python-support (>= 0.5.3),
+               python-support,
                libpango1.0-dev,
                libcairo2-dev,
                chrpath
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://fontforge.sourceforge.net/
 Vcs-svn: svn://svn.debian.org/pkg-fonts/packages/fontforge/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/fontforge/
 
 Package: fontforge
 Architecture: any
-Depends: ${misc:Depends}, libfontforge1 (= ${binary:Version}), libgdraw4 (= ${binary:Version}), ${shlibs:Depends}
+Depends: ${misc:Depends},
+         libfontforge1 (= ${binary:Version}),
+         libgdraw4 (= ${binary:Version}),
+         ${shlibs:Depends}
 Conflicts: fontforge-nox
 Suggests: fontforge-doc, potrace, autotrace, python-fontforge, fontforge-extras 
 Description: font editor
@@ -48,7 +55,9 @@
 
 Package: fontforge-nox
 Architecture: any
-Depends: ${misc:Depends}, libfontforge1 (= ${binary:Version}), ${shlibs:Depends}
+Depends: ${misc:Depends},
+         libfontforge1 (= ${binary:Version}),
+         ${shlibs:Depends}
 Conflicts: fontforge
 Description: font editor - non-X version
  Besides being a font editor, FontForge is also a font format
@@ -67,7 +76,9 @@
 Package: libfontforge-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libfontforge1 (= ${binary:Version}), libgdraw4 (= ${binary:Version})
+Depends: ${misc:Depends},
+	 libfontforge1 (= ${binary:Version}),
+	 libgdraw4 (= ${binary:Version})
 Description: font editor - runtime library (development files)
  Besides being a font editor, FontForge is also a font format
  converter, and can convert among PostScript (ASCII & binary Type 1,
@@ -79,7 +90,8 @@
 Package: libfontforge1
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+	 ${shlibs:Depends}
 Conflicts: fontforge (<= 0.0.20090224)
 Replaces: fontforge (<= 0.0.20090224)
 Description: font editor - runtime library
@@ -93,7 +105,8 @@
 Package: libgdraw4
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+	 ${shlibs:Depends}
 Conflicts: fontforge (<= 0.0.20090224)
 Replaces: fontforge (<= 0.0.20090224)
 Description: font editor - runtime graphics and widget library
@@ -106,7 +119,10 @@
 
 Package: python-fontforge
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, libfontforge1
+Depends: ${misc:Depends},
+	 ${shlibs:Depends},
+	 ${python:Depends},
+	 libfontforge1
 XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
 Section: python
@@ -118,4 +134,3 @@
  .
  This package provides the Python modules (the libraries fontforge and
  psMat) to access a FontForge program for font manipulations.
-

=== debian/rules ===
--- 
+++ 
@@ -17,23 +17,22 @@
               --with-regular-link \
               --enable-devicetables \
               --enable-pyextension \
-              --with-type3
+              --with-type3 \
+              --with-freetype-src
 
 ifeq "$(DIST)" "Ubuntu"
-CONFIG_OPTS += --with-freetype-bytecode
+	CONFIG_OPTS += --with-freetype-bytecode
 else
-CONFIG_OPTS += --with-freetype-bytecode=no
-endif  
+	CONFIG_OPTS += --with-freetype-bytecode=no
+endif
 
 
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+	CROSS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 else
-CROSS= --build $(DEB_BUILD_GNU_TYPE)
+	CROSS = --build $(DEB_BUILD_GNU_TYPE)
 endif
 
 
@@ -41,12 +40,12 @@
 configure-stamp:
 	dh_testdir
 
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+#ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+#endif
+#ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
-endif
+#endif
 
 	cp configure configure.old
 	cp install-sh install-sh.old
@@ -66,21 +65,23 @@
 configure-stamp-nox:
 	dh_testdir
 
-	$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 
 	./configure $(CROSS) ${CONFIG_OPTS} --without-x CFLAGS="$(CFLAGS)"
 
 	touch $@
 
 build: build-stamp
-build-stamp:  configure-stamp 
-	
+build-stamp:  configure-stamp
+	dh_testdir
+
 	$(MAKE)
 	$(MAKE) -C fontforge FontForge.pot
+
 	touch $@
 
 build-nox: build-stamp-nox
-build-stamp-nox: configure-stamp-nox 
+build-stamp-nox: configure-stamp-nox
 	dh_testdir
 
 	$(MAKE)
@@ -119,6 +120,10 @@
 	cp -p $(CURDIR)/debian/fontforge/usr/include/fontforge/* $(CURDIR)/debian/libfontforge-dev/usr/include/fontforge
 	-rm -rf $(CURDIR)/debian/fontforge/usr/include
 	mv $(CURDIR)/debian/libfontforge1/usr/lib/*.la $(CURDIR)/debian/libfontforge-dev/usr/lib
+	# Empty dependency_libs from all .la files
+	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
+		$(CURDIR)/debian/libfontforge-dev/usr/lib/*.la
+
 	mv $(CURDIR)/debian/libfontforge1/usr/lib/lib*.so $(CURDIR)/debian/libfontforge-dev/usr/lib
 	mv -t $(CURDIR)/debian/libfontforge-dev/usr/lib $(CURDIR)/debian/libfontforge1/usr/lib/pkgconfig
 
@@ -149,7 +154,7 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_installdocs
 	dh_installmenu
 	dh_installmime
@@ -166,14 +171,10 @@
 	dh_md5sums
 	dh_builddeb
 
-
-# Build architecture dependant packages using the common target.
-binary-arch: build install build-nox install-nox 
-	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
+binary-arch: build install build-nox install-nox binary-common
 
 binary-indep:
 
 binary: binary-arch
 .PHONY: build clean binary-arch binary install configure \
 	build-nox configure-nox install-nox
-

## fontforge 0.0.20110222

=== debian/changelog ===
fontforge (0.0.20110222-8) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * Fix memory corruption when moving spline points via upstream patch by
    Paul Flo Williams
    Closes: #656359
  * ensure fontforge-dbg gets symbols from X11-capable fontforge
    Closes: #656498
  
 -- Christian Perrier <bubulle@debian.org>  Wed, 01 Feb 2012 20:40:49 +0100

fontforge (0.0.20110222-7) unstable; urgency=low

  * Build using dh_python2. Patch from Ubuntu.

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Jan 2012 13:44:41 +0100

fontforge (0.0.20110222-6) unstable; urgency=low

  * Enable hardened build flags through dpkg-buildflags
    Closes: #653534

 -- Christian Perrier <bubulle@debian.org>  Thu, 29 Dec 2011 08:21:59 +0100

fontforge (0.0.20110222-5) unstable; urgency=low

  * Team upload
  * Support libpng 1.5 by only using accessor functions to png structures
    Thanks to Paul Flo Williams for the patch
    Closes: #649950

 -- Christian Perrier <bubulle@sesostris.kheops.frmug.org>  Wed, 14 Dec 2011 20:04:01 +0100

fontforge (0.0.20110222-4) unstable; urgency=low

  * If trans_alpha is NULL (likely due to optimized png), don't crash
    Closes: #646619

 -- Christian Perrier <bubulle@debian.org>  Wed, 26 Oct 2011 04:22:18 +0200

fontforge (0.0.20110222-3) unstable; urgency=low

  * Add a versioned dependency on libfontforge1 for python-fontforge
    to avoid incompatible versions to be installed together.
    Closes: #642936

 -- Christian Perrier <bubulle@debian.org>  Mon, 26 Sep 2011 07:44:25 +0200

fontforge (0.0.20110222-2) unstable; urgency=low

  * Build-Depends on libjpeg-dev instead of libjpeg62-dev.
    Closes: #633936
  * Build-Depends on python-dev instead of python-all-dev
    Closes: #605838
  * Add build-indep and build-arch build targets

 -- Christian Perrier <bubulle@debian.org>  Sat, 03 Sep 2011 11:00:05 +0200

fontforge (0.0.20110222-1) unstable; urgency=low

  * New upstream version. (Closes: #628111, #628839)
    - debian/patches
      + drop since merged to upstream
        - 030_fix_stack_corruption.diff
        - 031_fix_spline_creation.diff
        - 110_fix_incorrect_locale_code.diff
        - cve-2010-4259.patch
  * Set "Priority: extra" for fontforge-dbg

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Jun 2011 15:45:34 +0200

fontforge (0.0.20100501-6) unstable; urgency=low

  * Team upload.
  * debian/rules
    - fix wrong configure option (Closes: #625564) 
    - "Getting rid of unneeded *.la / emptying dependency_libs", 
      not install *.la files. Thanks to Neil Williams (Closes: #621285)
    - specify "CONFIG_SHELL=/bin/bash" to avoid FTBFS (Closes: #621932)
  * debian/patches
    - add 901_ld_as_needed.diff to fix build failure with ld --as-needed.
      Thanks to Matthias Klose (Closes: #605839)
    - drop 023_fix_desktop_file.diff (Closes: #608432)
  * debian/control
    - add debug package for fontforge (Closes: #602069)
    - bump up "Standards-Version: 3.9.2"

 -- Hideki Yamane <henrich@debian.org>  Sat, 28 May 2011 21:24:48 +0900

fontforge (0.0.20100501-5) unstable; urgency=low

  * Team upload.
  * debian/rules 
    - disable "--enable-double" that introduced in 0.0.20100501-3
     to avoid building ttf-dejavu failure (Closes: #609094)

 -- Hideki Yamane <henrich@debian.org>  Fri, 07 Jan 2011 23:43:28 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: fontforge
 Section: fonts
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>,
 	   Davide Viti <zinosat@tiscali.it>,
 	   Kęstutis Biliūnas <kebil@kaunas.init.lt>,
 	   Rogério Brito <rbrito@ime.usp.br>
 Dm-Upload-Allowed: yes
-XS-Python-Version: all
+X-Python-Version: >= 2.7
 Build-Depends: debhelper (>= 7),
                autotools-dev,
-               libjpeg62-dev,
+               libjpeg-dev,
                libtiff4-dev,
                libpng12-dev,
                libgif-dev,
@@ -24,12 +23,11 @@
                libxml2-dev,
                libuninameslist-dev,
                libspiro-dev,
-               python-all-dev,
-               python-support,
+               python-dev (>= 2.6.6-3~),
                libpango1.0-dev,
                libcairo2-dev,
                chrpath
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://fontforge.sourceforge.net/
 Vcs-svn: svn://svn.debian.org/pkg-fonts/packages/fontforge/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/fontforge/
@@ -122,7 +120,7 @@
 Depends: ${misc:Depends},
 	 ${shlibs:Depends},
 	 ${python:Depends},
-	 libfontforge1
+	 libfontforge1 (= ${binary:Version})
 XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
 Section: python
@@ -134,3 +132,17 @@
  .
  This package provides the Python modules (the libraries fontforge and
  psMat) to access a FontForge program for font manipulations.
+
+Package: fontforge-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: ${misc:Depends},
+         fontforge (= ${binary:Version})
+Description: debugging symbols for fontforge
+ Besides being a font editor, FontForge is also a font format
+ converter, and can convert among PostScript (ASCII & binary Type 1,
+ some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
+ CID-keyed, SVG, CFF and multiple-master fonts.
+ .
+ This package contains the debugging symbols for fontforge.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+
+export CONFIG_SHELL=/bin/bash
 
 LIBTOOLVERSION = $(shell dpkg-query -W -f='$${Version}\n' "libtool")
 
@@ -17,7 +19,7 @@
               --with-regular-link \
               --enable-devicetables \
               --enable-pyextension \
-              --with-type3 \
+              --enable-type3 \
               --with-freetype-src
 
 ifeq "$(DIST)" "Ubuntu"
@@ -57,7 +59,7 @@
 		set -e; cp configure.dynamic.in configure.in; libtoolize --force --copy; aclocal; autoconf; \
 	fi
 
-	./configure $(CROSS) ${CONFIG_OPTS} CFLAGS="$(CFLAGS)"
+	./configure $(CROSS) ${CONFIG_OPTS} $(shell dpkg-buildflags --export=configure)
 
 	touch $@
 
@@ -67,11 +69,13 @@
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 
-	./configure $(CROSS) ${CONFIG_OPTS} --without-x CFLAGS="$(CFLAGS)"
+	./configure $(CROSS) ${CONFIG_OPTS} --without-x $(shell dpkg-buildflags --export=configure)
 
 	touch $@
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:  configure-stamp
 	dh_testdir
 
@@ -118,12 +122,8 @@
 	chrpath -d $(CURDIR)/debian/fontforge/usr/bin/fontforge
 
 	cp -p $(CURDIR)/debian/fontforge/usr/include/fontforge/* $(CURDIR)/debian/libfontforge-dev/usr/include/fontforge
-	-rm -rf $(CURDIR)/debian/fontforge/usr/include
-	mv $(CURDIR)/debian/libfontforge1/usr/lib/*.la $(CURDIR)/debian/libfontforge-dev/usr/lib
-	# Empty dependency_libs from all .la files
-	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
-		$(CURDIR)/debian/libfontforge-dev/usr/lib/*.la
-
+	-rm -rf $(CURDIR)/debian/fontforge/usr/include \
+                $(CURDIR)/debian/libfontforge1/usr/lib/*.la
 	mv $(CURDIR)/debian/libfontforge1/usr/lib/lib*.so $(CURDIR)/debian/libfontforge-dev/usr/lib
 	mv -t $(CURDIR)/debian/libfontforge-dev/usr/lib $(CURDIR)/debian/libfontforge1/usr/lib/pkgconfig
 
@@ -133,7 +133,8 @@
 	mv $(CURDIR)/debian/fontforge/usr/share/fontforge/python $(CURDIR)/debian/python-fontforge/usr/share/fontforge
 
 	cp -p Packaging/fontforge.desktop debian/fontforge/usr/share/applications/
-	cp -p debian/ffanvil32.xpm debian/fontforge/usr/share/icons/
+	cp -p Packaging/fontforge.png debian/fontforge/usr/share/pixmaps/
+	cp -p debian/fontforge.xpm debian/fontforge/usr/share/pixmaps/
 	cp Packaging/fontforge.xml debian/fontforge.sharedmimeinfo
 
 	dh_install -s
@@ -160,11 +161,11 @@
 	dh_installmime
 	dh_installman
 	dh_link
-	dh_strip
+	dh_strip --exclude=fontforge-nox --dbg-package=fontforge-dbg
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs
-	dh_pysupport -ppython-fontforge
+	dh_python2 -ppython-fontforge
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## fontforge 0.0.20120101+git

=== debian/changelog ===
fontforge (0.0.20120101+git-2+deb7u1) wheezy-security; urgency=low

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-11568-11569-11571-11572-11574-11575-11576-11577.patch
    Fix for several CVEs:
      CVE-2017-11568
      CVE-2017-11569
      CVE-2017-11571
      CVE-2017-11572
      CVE-2017-11574
      CVE-2017-11575
      CVE-2017-11576
      CVE-2017-11577
    FontForge 20161012 is vulnerable to heap-based buffer over-read in
    several functions, resulting in DoS or code execution via a crafted 
    otf file:

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 26 Aug 2017 16:03:02 +0200

fontforge (0.0.20120101+git-2) unstable; urgency=low

  * Define SHELL in Makefiles. Thanks to Jakub Wilk for the patch
    Closes: #671971

 -- Christian Perrier <bubulle@debian.org>  Tue, 15 May 2012 22:21:12 +0200

fontforge (0.0.20120101+git-1) unstable; urgency=low

  * new upstream snapshot release from git (Closes: #656443)
  * debian/patches: drop
    001_Support-libpng-1.5-by-only-using-accessor-functions.diff and 
    905_fix_selection_crashes.diff (applied upstream)
  * Bump Standards-Version to 3.9.3 (no changes needed)
  * change B-D from libpng12-dev to libpng-dev (Closes: #662330)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 13 Mar 2012 21:59:30 -0400

fontforge (0.0.20110222-9) UNRELEASED; urgency=low

  * convert to git-based packaging 

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 06 Feb 2012 01:10:28 -0500

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Christian Perrier <bubulle@debian.org>,
 	   Davide Viti <zinosat@tiscali.it>,
 	   Kęstutis Biliūnas <kebil@kaunas.init.lt>,
-	   Rogério Brito <rbrito@ime.usp.br>
+	   Rogério Brito <rbrito@ime.usp.br>,
+           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Dm-Upload-Allowed: yes
 X-Python-Version: >= 2.7
 Build-Depends: debhelper (>= 7),
                autotools-dev,
                libjpeg-dev,
                libtiff4-dev,
-               libpng12-dev,
+               libpng-dev,
                libgif-dev,
                libxt-dev,
                libfreetype6-dev,
@@ -27,10 +28,10 @@
                libpango1.0-dev,
                libcairo2-dev,
                chrpath
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://fontforge.sourceforge.net/
-Vcs-svn: svn://svn.debian.org/pkg-fonts/packages/fontforge/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/fontforge/
+Vcs-Git: git://git.debian.org/pkg-fonts/fontforge/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/fontforge.git;a=summary
 
 Package: fontforge
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -108,7 +108,7 @@
 	rm -rf Unicode/.libs Unicode/Makefile.in
 	rm -rf gdraw/.libs gdraw/Makefile.in
 	rm -rf fontforge/Makefile.in gutils/Makefile.in fontforge/FontForge.pot
-	rm -f Makefile.in aclocal.m4 ltmain.sh config.log
+	rm -f Makefile.in aclocal.m4 ltmain.sh config.log configure.lineno
 
 	dh_clean  --exclude ./fontforge/FontForge-MenuShortCuts.pot.orig --exclude ./fontforge/nowakowskittfinstr.c.orig --exclude ./fontforge/scstyles.c.orig
 
@@ -161,11 +161,13 @@
 	dh_installmime
 	dh_installman
 	dh_link
+	dh_python2 -ppython-fontforge
 	dh_strip --exclude=fontforge-nox --dbg-package=fontforge-dbg
+	# strip again to clean up the binaries in fontforge-nox:
+	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs
-	dh_python2 -ppython-fontforge
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

=== debian/watch ===
version=3

opts=uversionmangle=s/^/0.0./ \
 http://sf.net/fontforge/fontforge_full-(.*)\.tar\.bz2
